Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 15:33:41 +0200

Eli Zaretskii <[email-masked]> writes:

> ??? We already have it: see hourglass pointer.  And it does use
> atimers.

Oh, the spinner thing that's displayed when Emacs is busy is a thing we
do ourselves?  I was so used to none of the things Emacs does with the
mouse pointer not working under Gnome (like setting the colours) that I
assumed that it was a thing the window manager (or Gnome did).

So we don't need to extend this to make a spinner on graphical systems,
at least.

And the hourglass spinner has the same issue I've been dealing with
here: It's not triggered until you give Emacs an input even (either from
the mouse of the keyboard).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no